Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetSNES

Sets the `SNES` for the linesearch for function evaluation.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetSNES(SNESLineSearch linesearch, SNES snes)

## Input Parameters

- linesearch - the line search context

- snes - The `SNES` instance

## Note

This happens automatically when the line search is obtained/created with `SNESGetLineSearch()`. This routine is therefore mainly called within `SNES` implementations.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchGetSNES()`, `SNESLineSearchSetVecs()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages